package com.nisum.example.mongodb.service;

import com.nisum.example.mongodb.model.EmployeeDTO;
import reactor.core.publisher.Flux;
import reactor.core.publisher.Mono;

public interface IEmployeeService {

    Mono<EmployeeDTO> insert(EmployeeDTO emp);
    Mono<EmployeeDTO> fetchById(Integer id);
    Flux<EmployeeDTO> fetchByName(String name);
    Flux<EmployeeDTO> fetchAll();
    Mono<EmployeeDTO> modify(EmployeeDTO emp);
    Mono<EmployeeDTO> modifyById(Integer id);
    Mono<Void> removeById(Integer id);
}
